GrailsUrlPathHelper (Grails 3.2.4)
Date: 2016-12-21

Package: org.grails.web.servlet

## [Java] Class GrailsUrlPathHelper

- org.grails.web.servlet.GrailsUrlPathHelper

- Extends the default Spring UrlPathHelper and makes methods Grails path aware.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `GRAILS_DISPATCH_EXTENSION` |
    `static java.lang.String` | `GRAILS_SERVLET_PATH` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getPathWithinApplication(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.util.UrlPathHelper` | `org.springframework.web.util.UrlPathHelper#getContextPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getServletPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#removeSemicolonContent(java.lang.String), org.springframework.web.util.UrlPathHelper#setUrlDecode(boolean), org.springframework.web.util.UrlPathHelper#setAlwaysUseFullPath(boolean), org.springframework.web.util.UrlPathHelper#setRemoveSemicolonContent(boolean), org.springframework.web.util.UrlPathHelper#shouldRemoveSemicolonContent(), org.springframework.web.util.UrlPathHelper#setDefaultEncoding(java.lang.String), org.springframework.web.util.UrlPathHelper#getLookupPathForRequest(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getPathWithinServletMapping(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getPathWithinApplication(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getRequestUri(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingRequestUri(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingContextPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingServletPath(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#getOriginatingQueryString(javax.servlet.http.HttpServletRequest), org.springframework.web.util.UrlPathHelper#decodeRequestString(javax.servlet.http.HttpServletRequest, java.lang.String), org.springframework.web.util.UrlPathHelper#decodePathVariables(javax.servlet.http.HttpServletRequest, java.util.Map), org.springframework.web.util.UrlPathHelper#decodeMatrixVariables(javax.servlet.http.HttpServletRequest, org.springframework.util.MultiValueMap), org.springframework.web.util.UrlPathHelper#wait(long, int), org.springframework.web.util.UrlPathHelper#wait(long), org.springframework.web.util.UrlPathHelper#wait(), org.springframework.web.util.UrlPathHelper#equals(java.lang.Object), org.springframework.web.util.UrlPathHelper#toString(), org.springframework.web.util.UrlPathHelper#hashCode(), org.springframework.web.util.UrlPathHelper#getClass(), org.springframework.web.util.UrlPathHelper#notify(), org.springframework.web.util.UrlPathHelper#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String GRAILS_DISPATCH_EXTENSION

    - #### public static final java.lang.String GRAILS_SERVLET_PATH

  - ### Method Detail

    - #### @java.lang.Override public java.lang.String getPathWithinApplication(javax.servlet.http.HttpServletRequest request)